package com.ruoyi.business.utils;




import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Title: StringUtils
 * @ProjectName: cfets-lc
 * @Description: String 工具类
 * @Author: tony.wu
 * @Date: 2020/8/10 16:28
 **/
public class StringUtils extends org.apache.commons.lang3.StringUtils {

    /**
     * 判断字符串是不是全英文
     *
     * @param word
     * @return
     */
    public final static boolean isWord(String word) {
        return !StringUtils.isBlank(word) && word.matches("[a-zA-Z]+");
    }

    /**
     * 换行
     *
     * @return 换行符
     */
    public static String getNewLine() {
//        return System.getProperty("line.separator");
        return "\r\n";
    }

    public static void main(String[] args) {
        System.out.println(isChar("91c"));
    }

    public static boolean isChar(String str) {
        return !StringUtils.isBlank(str) && str.matches("[a-zA-Z0-9]");
    }

    /**
     * 判断是否含有特殊字符
     *
     * @param str
     * @return true为包含，false为不包含
     */
    public static boolean isSpecialChar(String str) {
        if (StringUtils.isBlank(str)) {
            return false;
        }
        String regEx = "[`~!@#$%^&*=|{}':;',\\[\\].<>/?~！@#￥%……&*|{}【】‘；：”“’。，、？]|\n|\r|\t";
        Pattern p = Pattern.compile(regEx);
        Matcher m = p.matcher(str);
        return m.find();
    }

    /**
     * 判断是否是数字
     *
     * @param word
     * @return
     */
    public final static boolean isNumeric(String word) {
        return !StringUtils.isBlank(word) && word.matches("^((-)?\\d?|\\.)?(\\d|\\.\\d+)+$");
    }

    /**
     * 获取这种时间格式 20201020-13:14.590
     *
     * @return
     */
    public static String getTime() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd-HH:mm:ss.SSS");
        return sdf.format(new Date());
    }

}